OGRE-Next: Ogre::v1::AnimationStateSet Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::v1::AnimationStateSet Class Reference
Core » Animation

Class encapsulating a set of AnimationState objects. More...

`#include <OgreAnimationState.h>`

Inheritance diagram for Ogre::v1::AnimationStateSet:
[legend]

## Public Member Functions
| AnimationStateSet ()
| Create a blank animation state set.
| AnimationStateSet (const AnimationStateSet &rhs)
| Create an animation set by copying the contents of another.
| ~AnimationStateSet ()
void | _notifyAnimationStateEnabled (AnimationState *target, bool enabled)
| Internal method respond to enable/disable an animation state.
void | _notifyDirty ()
| Set the dirty flag and dirty frame number on this state set.
void | copyMatchingState (AnimationStateSet *target) const
| Copy the state of any matching animation states from this to another.
AnimationState * | createAnimationState (const String &animName, Real timePos, Real length, Real weight=1.0, bool enabled=false)
| Create a new AnimationState instance.
AnimationState * | getAnimationState (const String &name) const
| Get an animation state by the name of the animation.
AnimationStateIterator | getAnimationStateIterator ()
| Get an iterator over all the animation states in this set.
ConstAnimationStateIterator | getAnimationStateIterator () const
| Get an iterator over all the animation states in this set.
unsigned long | getDirtyFrameNumber () const
| Get the latest animation state been altered frame number.
ConstEnabledAnimationStateIterator | getEnabledAnimationStateIterator () const
| Get an iterator over all the enabled animation states in this set.
bool | hasAnimationState (const String &name) const
| Tests if state for the named animation is present.
bool | hasEnabledAnimationState () const
| Tests if exists enabled animation state in this set.
void | removeAllAnimationStates ()
| Remove all animation states.
void | removeAnimationState (const String &name)
| Remove animation state with the given name.

## Public Attributes
| OGRE_AUTO_MUTEX
| Mutex, public for external locking if needed.

## Detailed Description

Class encapsulating a set of AnimationState objects.

## Constructor & Destructor Documentation

## ◆ AnimationStateSet() [1/2]

Ogre::v1::AnimationStateSet::AnimationStateSet | ( |  | ) |

Create a blank animation state set.

Referenced by AnimationStateSet(), and copyMatchingState().

## ◆ AnimationStateSet() [2/2]

Ogre::v1::AnimationStateSet::AnimationStateSet | ( | const AnimationStateSet & | rhs | ) |

Create an animation set by copying the contents of another.

References AnimationStateSet().

## ◆ ~AnimationStateSet()

Ogre::v1::AnimationStateSet::~AnimationStateSet | ( |  | ) |

## Member Function Documentation

## ◆ _notifyAnimationStateEnabled()

void Ogre::v1::AnimationStateSet::_notifyAnimationStateEnabled | ( | AnimationState * | target,
|  | bool | enabled )

Internal method respond to enable/disable an animation state.

## ◆ _notifyDirty()

void Ogre::v1::AnimationStateSet::_notifyDirty | ( |  | ) |

Set the dirty flag and dirty frame number on this state set.

## ◆ copyMatchingState()

void Ogre::v1::AnimationStateSet::copyMatchingState | ( | AnimationStateSet * | target | ) | const

Copy the state of any matching animation states from this to another.

References AnimationStateSet().

## ◆ createAnimationState()

AnimationState * Ogre::v1::AnimationStateSet::createAnimationState | ( | const String & | animName,
|  | Real | timePos,
|  | Real | length,
|  | Real | weight = 1.0,
|  | bool | enabled = false )

Create a new AnimationState instance.

Parameters

  animName | The name of the animation
  timePos | Starting time position
  length | Length of the animation to play
  weight | Weight to apply the animation with
  enabled | Whether the animation is enabled

## ◆ getAnimationState()

AnimationState * Ogre::v1::AnimationStateSet::getAnimationState | ( | const String & | name | ) | const

Get an animation state by the name of the animation.

## ◆ getAnimationStateIterator() [1/2]

AnimationStateIterator Ogre::v1::AnimationStateSet::getAnimationStateIterator | ( |  | ) |

Get an iterator over all the animation states in this set.

Note
  The iterator returned from this method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it.

## ◆ getAnimationStateIterator() [2/2]

ConstAnimationStateIterator Ogre::v1::AnimationStateSet::getAnimationStateIterator | ( |  | ) | const

Get an iterator over all the animation states in this set.

Note
  The iterator returned from this method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it.

## ◆ getDirtyFrameNumber()

unsigned long Ogre::v1::AnimationStateSet::getDirtyFrameNumber | ( |  | ) | const
| inline

Get the latest animation state been altered frame number.

## ◆ getEnabledAnimationStateIterator()

ConstEnabledAnimationStateIterator Ogre::v1::AnimationStateSet::getEnabledAnimationStateIterator | ( |  | ) | const

Get an iterator over all the enabled animation states in this set.

Note
  The iterator returned from this method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it.

## ◆ hasAnimationState()

bool Ogre::v1::AnimationStateSet::hasAnimationState | ( | const String & | name | ) | const

Tests if state for the named animation is present.

## ◆ hasEnabledAnimationState()

bool Ogre::v1::AnimationStateSet::hasEnabledAnimationState | ( |  | ) | const
| inline

Tests if exists enabled animation state in this set.

## ◆ removeAllAnimationStates()

void Ogre::v1::AnimationStateSet::removeAllAnimationStates | ( |  | ) |

Remove all animation states.

## ◆ removeAnimationState()

void Ogre::v1::AnimationStateSet::removeAnimationState | ( | const String & | name | ) |

Remove animation state with the given name.

## Member Data Documentation

## ◆ OGRE_AUTO_MUTEX

Ogre::v1::AnimationStateSet::OGRE_AUTO_MUTEX

Mutex, public for external locking if needed.

The documentation for this class was generated from the following file:

- OgreAnimationState.h